package sample;
import java.io.StringWriter;
import java.util.Arrays;
import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;
import org.apache.velocity.app.Velocity;
import beans.Hello;

public class HelloWorld {
    public static void main(String[] args) {
        Hello hello = new Hello();
        hello.setName("Hello World!!");
        hello.setList(Arrays.asList("h", "e", "l", "l", "o"));
        try {            Velocity.init("velocity.properties");
            VelocityContext context = new VelocityContext();
            context.put("hello", hello);
            StringWriter writer = new StringWriter();
            Template template = Velocity.getTemplate("templates/hello.vm");
            template.merge(context, writer);
            System.out.println(writer.toString());
            writer.flush();
 } catch (Exception e) {
            e.printStackTrace(); } }
}

